VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::SourceInfo Class Reference

Metadata source info. More...

List of all members.

## Public Member Functions
| SourceInfo ()
| Creates a default new instance.
vmware.vapi.metadata.SourceType | Get_Type ()
| Type of the metadata source.
void | SetType (vmware.vapi.metadata.SourceType type)
| Type of the metadata source.
string | GetFileName ()
| Name of the metadata source file.
void | SetFileName (string fileName)
| Name of the metadata source file.
string | GetRemoteAddr ()
| Address of the remote metadata source.
void | SetRemoteAddr (string remoteAddr)
| Address of the remote metadata source.
string | GetMsgProtocol ()
| Message protocol to be used.
void | SetMsgProtocol (string msgProtocol)
| Message protocol to be used.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Metadata source info.

## Constructor & Destructor Documentation

vmware::vapi::metadata::SourceInfo::SourceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::SourceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::SourceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::SourceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::SourceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::SourceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::SourceInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.SourceType vmware::vapi::metadata::SourceInfo::Get_Type | ( |  | ) | `[inline]`

Type of the metadata source.

string vmware::vapi::metadata::SourceInfo::GetFileName | ( |  | ) | `[inline]`

Name of the metadata source file.

override int vmware::vapi::metadata::SourceInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::SourceInfo::GetMsgProtocol | ( |  | ) | `[inline]`

Message protocol to be used.

string vmware::vapi::metadata::SourceInfo::GetRemoteAddr | ( |  | ) | `[inline]`

Address of the remote metadata source.

void vmware::vapi::metadata::SourceInfo::SetFileName | ( | string | fileName | ) | `[inline]`

Name of the metadata source file.

void vmware::vapi::metadata::SourceInfo::SetMsgProtocol | ( | string | msgProtocol | ) | `[inline]`

Message protocol to be used.

void vmware::vapi::metadata::SourceInfo::SetRemoteAddr | ( | string | remoteAddr | ) | `[inline]`

Address of the remote metadata source.

void vmware::vapi::metadata::SourceInfo::SetType | ( | vmware.vapi.metadata.SourceType | type | ) | `[inline]`

Type of the metadata source.

override string vmware::vapi::metadata::SourceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SourceInfo.cs